%define upstream_name MooX-File-ConfigDir
%define upstream_version 0.002

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 2

Summary:	Moo eXtension for File::ConfigDir
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/MooX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(File::ConfigDir)
BuildRequires:	perl(Moo::Role)
BuildRequires:	perl(namespace::autoclean)

BuildArch:	noarch

%description
Moo eXtension for File::ConfigDir.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Mon Oct 21 2013 umeabot <umeabot> 0.2.0-2.mga4
+ Revision: 538057
- Mageia 4 Mass Rebuild

* Sat Sep 28 2013 sander85 <sander85> 0.2.0-1.mga4
+ Revision: 488394
- imported package perl-MooX-File-ConfigDir

